WordPress.org

Support

Support » Plugins and Hacks » [Resolved] Version 1.4.4 fatal error

[Resolved] Version 1.4.4 fatal error

  • Just updated Page Builder to v1.4.4 and no pages built using Page Builder will successfully save: The upon saving page resolves to a blank white page.

    Lost all work on one page (a client’s homepage!) salvaged only by reverting to a revision of the page built with Page Builder before the update.

    Saves in Visual and Text formats still work fine.

    Users: Don’t update Page Builder just yet!
    Developer: Please fix!

    https://wordpress.org/plugins/siteorigin-panels/

Viewing 12 replies - 1 through 12 (of 12 total)
  • Plugin Author Greg Priday

    @gpriday

    Ouch, sorry to hear that. We did do some fairly extensive testing to make sure everything was working properly and all our tests for 1.4.4 came up fine.

    Do you have access to your server’s error logs so I can see what caused the fatal error? It is possible that one of the changes in the update made it incompatible with something in your setup.

    I have serious problems to. After saving new page, the Page builder tab disappers from the editor and the layout is gone with it. Also: even more serious: The WP screen option stops working.

    Plugin Author Greg Priday

    @gpriday

    Hi @bolt24, because your issue isn’t related to this one, can you post a new topic.

    http://wordpress.org/support/plugin/siteorigin-panels

    Hi Greg,

    Thanks for getting back to me. I don’t know how to view the error logs on my setup, (investigating) but here’s some more info to be going on with:

    Most themes I use are built using Lubith and my initial thought was this may be the issue. However, I tested Page Builder on a site using the standard Twenty Thirteen theme and when I try to publish a page using Page Builder I get the same result: A totally blank, white page (at address tld.com/wp-admin/post.php) without even so much as the WordPress toolbar in view.

    Is there anywhere I can download and reinstall the previous version of Page Builder? If it ain’t broke, etc.

    Plugin Author Greg Priday

    @gpriday

    You can download old versions of Page Builder here.

    Can you give me any of the following information. It’d be a huge help with trying to figure out what’s going on.

    * Your WordPress version
    * PHP version
    * A list of plugins you have installed

    Thanks, Greg.

    WordPress version: 3.8.1
    PHP version: Don’t know. Sorry. Can you tell me where I might find this info?
    List of plugins: Pretty long, TBH. However, on the simplest site (the one using the Twenty Thirteen theme) only the following plugins are active:

    WordPress MU Domain Mapping
    Wordfence Security
    Google Analytics for WordPress
    Enhanced Text Widget
    All in one Favicon
    Akismet

    (As well as Page Builder, obvs.)

    Hope that helps.

    FYI, I’m now back to 1.4.1 and normal service has been resumed. Phew. Happy to continue to assist if required.

    Rob

    If I may answer here as well:

    I have located TinyMCE Advanced to be the problem.

    Greg, by complete chance I have discovered that the PHP version my setup uses is 5.3.27

    bolt24: That’s not the cause of the problem I’m experiencing as I don’t have that plugin installed. Congratulations on overcoming your difficulties though.

    Cheers,

    Rob

    Plugin Author Greg Priday

    @gpriday

    Hi Rob

    If you have an enviroment where you can test 1.4.4, can you try something for me. Can you see if you still get the error when disabling Copy Content. Navigate to Settings > Page Builder in your WordPress admin. Uncheck the “Copy Content to Post Content” setting.

    Do you still get the fatal error when this is disabled?

    This should really help me narrow down what’s causing this issue.

    Success!

    I’m now using 1.4.4 with Copy Content to Post Content deselected and everything looks fine. I’ll give it 24 hours and let you know if anything else goes awry. Otherwise… Solved!

    Thanks, Greg.

    Rob

    Plugin Author Greg Priday

    @gpriday

    Awesome, and I think I’ve managed to track down why that was causing a fatal error. I’ll add a fix in 1.4.5.

    Thanks for your help Rob. Very much appreciated.

    No problem – glad to help.

    Thanks for your time, and thanks for making a great plugin!

Viewing 12 replies - 1 through 12 (of 12 total)
  • The topic ‘[Resolved] Version 1.4.4 fatal error’ is closed to new replies.